/// <reference types="ignite-ui" />
import { IterableDiffers, ElementRef, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgBulletGraphComponent extends IgControlBase<IgBulletGraph> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Returns a string containing the names of all the ranges delimited with a \n symbol.
     */
    getRangeNames(): void;
    /**
     * Adds a new range to the bullet graph.
     *
     * @param value     The range object to be added.
     */
    addRange(value: object): void;
    /**
     * Removes a range from the bullet graph.
     *
     * @param value     A JS object with properties set as follows: name: nameOfTheRangeToRemove, remove: true
     */
    removeRange(value: object): void;
    /**
     * Updates the specified range of the bullet graph.
     *
     * @param value     The range object to be updated.
     */
    updateRange(value: object): void;
    /**
     * Returns information about how the bullet graph is rendered.
     */
    exportVisualData(): object;
    /**
     * Causes all pending changes of the bullet graph e.g. by changed property values to be rendered immediately.
     */
    flush(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    /**
     * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
     */
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgBulletGraphComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgBulletGraphComponent, "ig-bullet-graph", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "ranges": "ranges"; "rangeToolTipTemplate": "rangeToolTipTemplate"; "valueToolTipTemplate": "valueToolTipTemplate"; "targetValueToolTipTemplate": "targetValueToolTipTemplate"; "orientation": "orientation"; "rangeBrushes": "rangeBrushes"; "rangeOutlines": "rangeOutlines"; "minimumValue": "minimumValue"; "maximumValue": "maximumValue"; "targetValue": "targetValue"; "targetValueName": "targetValueName"; "value": "value"; "valueName": "valueName"; "rangeInnerExtent": "rangeInnerExtent"; "rangeOuterExtent": "rangeOuterExtent"; "valueInnerExtent": "valueInnerExtent"; "valueOuterExtent": "valueOuterExtent"; "interval": "interval"; "ticksPostInitial": "ticksPostInitial"; "ticksPreTerminal": "ticksPreTerminal"; "labelInterval": "labelInterval"; "labelExtent": "labelExtent"; "labelsPostInitial": "labelsPostInitial"; "labelsPreTerminal": "labelsPreTerminal"; "minorTickCount": "minorTickCount"; "tickStartExtent": "tickStartExtent"; "tickEndExtent": "tickEndExtent"; "tickStrokeThickness": "tickStrokeThickness"; "tickBrush": "tickBrush"; "fontBrush": "fontBrush"; "valueBrush": "valueBrush"; "valueOutline": "valueOutline"; "valueStrokeThickness": "valueStrokeThickness"; "minorTickStartExtent": "minorTickStartExtent"; "minorTickEndExtent": "minorTickEndExtent"; "minorTickStrokeThickness": "minorTickStrokeThickness"; "minorTickBrush": "minorTickBrush"; "isScaleInverted": "isScaleInverted"; "backingBrush": "backingBrush"; "backingOutline": "backingOutline"; "backingStrokeThickness": "backingStrokeThickness"; "backingInnerExtent": "backingInnerExtent"; "backingOuterExtent": "backingOuterExtent"; "scaleStartExtent": "scaleStartExtent"; "scaleEndExtent": "scaleEndExtent"; "targetValueBrush": "targetValueBrush"; "targetValueBreadth": "targetValueBreadth"; "targetValueInnerExtent": "targetValueInnerExtent"; "targetValueOuterExtent": "targetValueOuterExtent"; "targetValueOutline": "targetValueOutline"; "targetValueStrokeThickness": "targetValueStrokeThickness"; "transitionDuration": "transitionDuration"; "showToolTipTimeout": "showToolTipTimeout"; "showToolTip": "showToolTip"; "font": "font"; "pixelScalingRatio": "pixelScalingRatio"; }, { "formatLabel": "formatLabel"; "alignLabel": "alignLabel"; }, never, ["*"], false>;
}
