/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgDoughnutChartComponent extends IgControlBase<IgDoughnutChart> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    ngOnInit(): void;
    /**
     * Adds a new series to the doughnut chart.
     *
     * @param seriesObj     The series object to be added.
     */
    addSeries(seriesObj: object): void;
    /**
     * Removes the specified series from the doughnut chart.
     *
     * @param seriesObj     The series object identifying the series to be removed.
     */
    removeSeries(seriesObj: object): void;
    /**
     * Updates the series with the specified name with the specified new property values.
     *
     * @param value     The series object identifying the series to be updated.
     */
    updateSeries(value: object): void;
    /**
     * Returns the center of the doughnut chart.
     */
    getCenterCoordinates(): object;
    /**
     * Returns the radius of the chart's hole.
     */
    getHoleRadius(): number;
    /**
     * Returns information about how the doughnut chart is rendered.
     */
    exportVisualData(): object;
    /**
     * Causes all of the series that have pending changes e.g. by changed property values to be rendered immediately.
     */
    flush(): void;
    /**
     * Destroys the widget.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgDoughnutChartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgDoughnutChartComponent, "ig-doughnut-chart", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "tooltipTemplate": "tooltipTemplate"; "maxRecCount": "maxRecCount"; "dataSource": "dataSource"; "dataSourceType": "dataSourceType"; "dataSourceUrl": "dataSourceUrl"; "responseTotalRecCountKey": "responseTotalRecCountKey"; "responseDataKey": "responseDataKey"; "series": "series"; "allowSliceSelection": "allowSliceSelection"; "isSurfaceInteractionDisabled": "isSurfaceInteractionDisabled"; "allowSliceExplosion": "allowSliceExplosion"; "innerExtent": "innerExtent"; "selectedStyle": "selectedStyle"; }, { "dataBinding": "dataBinding"; "dataBound": "dataBound"; "updateTooltip": "updateTooltip"; "hideTooltip": "hideTooltip"; "tooltipShowing": "tooltipShowing"; "tooltipShown": "tooltipShown"; "tooltipHiding": "tooltipHiding"; "tooltipHidden": "tooltipHidden"; "browserNotSupported": "browserNotSupported"; "sliceClick": "sliceClick"; "holeDimensionsChanged": "holeDimensionsChanged"; }, never, ["*"], false>;
}
