/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgEditorBase } from './igeditorbase';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class IgCurrencyEditorComponent extends IgEditorBase<IgCurrencyEditor> {
    model: NgModel;
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef, model: NgModel);
    /**
     * Gets/sets a string that is used as the currency symbol shown with the number in the input.
     * The value provided as a param is propagated to the currencySymbol option and thus has the same priority as the option.
     *
     * @param symbol New currency symbol.
     */
    currencySymbol(symbol?: object): string;
    /**
     * Gets/Sets editor value.
     *
     * @param newValue New editor value.
     */
    value(newValue?: number): number;
    /**
     * Finds index of list item by text that matches with the search parameters.
     *
     * @param value The text to search for.
     */
    findListItemIndex(value: number): number;
    getSelectedText(): void;
    getSelectionStart(): void;
    getSelectionEnd(): void;
    /**
     * Increments value in editor according to the parameter or selects the previous item from the drop-down list if
     * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
     *
     * @param delta Increments value.
     */
    spinUp(delta?: number): void;
    /**
     * Decrements value in editor according to the parameter selects the next item from the drop-down list if
     * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
     *
     * @param delta Decrement value.
     */
    spinDown(delta?: number): void;
    /**
     * This method is deprecated in favor of [spinUp](ui.%%WidgetNameLowered%%#options:spinUp).
     */
    selectListIndexUp(): void;
    /**
     * This method is deprecated in favor of [spinDown](ui.%%WidgetNameLowered%%#options:spinDown).
     */
    selectListIndexDown(): void;
    /**
     * Gets current regional.
     */
    getRegionalOption(): string;
    /**
     * Changes the the regional settings of widget element to the language specified in
     * [options.regional](ui.ignumericeditor#options:regional)
     * Note that this method is for rare scenarios, use [regional](ui.ignumericeditor#options:regional) option setter
     */
    changeRegional(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgCurrencyEditorComponent, [null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgCurrencyEditorComponent, "ig-currency-editor", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "value": "value"; "tabIndex": "tabIndex"; "allowNullValue": "allowNullValue"; "nullValue": "nullValue"; "inputName": "inputName"; "readOnly": "readOnly"; "validatorOptions": "validatorOptions"; "buttonType": "buttonType"; "listItems": "listItems"; "listWidth": "listWidth"; "listItemHoverDuration": "listItemHoverDuration"; "dropDownAttachedToBody": "dropDownAttachedToBody"; "dropDownAnimationDuration": "dropDownAnimationDuration"; "visibleItemsCount": "visibleItemsCount"; "includeKeys": "includeKeys"; "excludeKeys": "excludeKeys"; "textAlign": "textAlign"; "placeHolder": "placeHolder"; "selectionOnFocus": "selectionOnFocus"; "textMode": "textMode"; "spinWrapAround": "spinWrapAround"; "isLimitedToListValues": "isLimitedToListValues"; "revertIfNotValid": "revertIfNotValid"; "preventSubmitOnEnter": "preventSubmitOnEnter"; "dropDownOrientation": "dropDownOrientation"; "maxLength": "maxLength"; "dropDownOnReadOnly": "dropDownOnReadOnly"; "toUpper": "toUpper"; "toLower": "toLower"; "locale": "locale"; "suppressNotifications": "suppressNotifications"; "regional": "regional"; "negativeSign": "negativeSign"; "negativePattern": "negativePattern"; "decimalSeparator": "decimalSeparator"; "groupSeparator": "groupSeparator"; "groups": "groups"; "maxDecimals": "maxDecimals"; "minDecimals": "minDecimals"; "dataMode": "dataMode"; "minValue": "minValue"; "maxValue": "maxValue"; "spinDelta": "spinDelta"; "scientificFormat": "scientificFormat"; "positivePattern": "positivePattern"; "currencySymbol": "currencySymbol"; }, { "rendering": "rendering"; "rendered": "rendered"; "mousedown": "mousedown"; "mouseup": "mouseup"; "mousemove": "mousemove"; "mouseover": "mouseover"; "mouseout": "mouseout"; "blur": "blur"; "focus": "focus"; "keydown": "keydown"; "keypress": "keypress"; "keyup": "keyup"; "valueChanging": "valueChanging"; "valueChanged": "valueChanged"; "dropDownListOpening": "dropDownListOpening"; "dropDownListOpened": "dropDownListOpened"; "dropDownListClosing": "dropDownListClosing"; "dropDownListClosed": "dropDownListClosed"; "dropDownItemSelecting": "dropDownItemSelecting"; "dropDownItemSelected": "dropDownItemSelected"; "textChanged": "textChanged"; }, never, ["*"], false>;
}
