/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgFunnelChartComponent extends IgControlBase<IgFunnelChart> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    ngOnInit(): void;
    /**
     * Gets array of selected slice items.
     *
     * @param selection     Array or selected slice items.
     * @return array|object If parameter is undefined, then array of selected items is returned.
     * Otherwise, it returns reference to igFunnelChart.
     */
    selectedSliceItems(selection?: any[]): any[];
    /**
     * Gets sets array of indexes of selected slices.
     *
     * @param selection     Array or selected slice indexes.
     * @return array|object     If parameter is undefined, then array of selected indexes is returned.
     * Otherwise, it returns reference to igFunnelChart.
     */
    selectedSliceIndexes(selection?: any[]): any[];
    /**
     * Checks if slice is selected.
     *
     * @param slice     Index of slice or reference to slice-data-item.
     */
    isSelected(slice: object): boolean;
    /**
     * Toggles selected state of slice.
     *
     * @param slice     Index of slice or reference to slice-data-item.
     */
    toggleSelection(slice: object): object;
    exportVisualData(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgFunnelChartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgFunnelChartComponent, "ig-funnel-chart", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "tooltipTemplate": "tooltipTemplate"; "maxRecCount": "maxRecCount"; "dataSource": "dataSource"; "dataSourceType": "dataSourceType"; "dataSourceUrl": "dataSourceUrl"; "responseTotalRecCountKey": "responseTotalRecCountKey"; "responseDataKey": "responseDataKey"; "bezierPoints": "bezierPoints"; "legend": "legend"; "valueMemberPath": "valueMemberPath"; "brushes": "brushes"; "outlines": "outlines"; "bottomEdgeWidth": "bottomEdgeWidth"; "innerLabelMemberPath": "innerLabelMemberPath"; "outerLabelMemberPath": "outerLabelMemberPath"; "innerLabelVisibility": "innerLabelVisibility"; "outerLabelVisibility": "outerLabelVisibility"; "outerLabelAlignment": "outerLabelAlignment"; "funnelSliceDisplay": "funnelSliceDisplay"; "formatInnerLabel": "formatInnerLabel"; "formatOuterLabel": "formatOuterLabel"; "transitionDuration": "transitionDuration"; "isInverted": "isInverted"; "useBezierCurve": "useBezierCurve"; "allowSliceSelection": "allowSliceSelection"; "useUnselectedStyle": "useUnselectedStyle"; "selectedSliceStyle": "selectedSliceStyle"; "unselectedSliceStyle": "unselectedSliceStyle"; "legendItemBadgeTemplate": "legendItemBadgeTemplate"; "useOuterLabelsForLegend": "useOuterLabelsForLegend"; "textStyle": "textStyle"; "outerLabelTextStyle": "outerLabelTextStyle"; "outlineThickness": "outlineThickness"; "pixelScalingRatio": "pixelScalingRatio"; "outerLabelTextColor": "outerLabelTextColor"; "textColor": "textColor"; }, { "dataBinding": "dataBinding"; "dataBound": "dataBound"; "updateTooltip": "updateTooltip"; "hideTooltip": "hideTooltip"; "sliceClicked": "sliceClicked"; }, never, ["*"], false>;
}
