/// <reference types="ignite-ui" />
import { ElementRef } from '@angular/core';
import { Feature } from '../feature';
import * as i0 from "@angular/core";
export declare class IgGridPagingFeature extends Feature<IgGridPaging> {
    constructor(el: ElementRef);
    /**
     * Gets/Sets the current page index, delegates data binding and paging to [$.ig.DataSource](ig.datasource).
     *
     * @param index     The page index to go to.
     */
    pageIndex(index?: number): number;
    /**
     * Gets/Sets the page size. If no parameter is specified, just returns the current page size.
     *
     * @param size     The new page size.
     */
    pageSize(size?: number): number;
    /**
     * Destroys the igGridPaging feature by removing all elements in the pager area,
     * unbinding events, and resetting data to discard data filtering on paging.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridPagingFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridPagingFeature, "paging", never, { "disabled": "disabled"; "create": "create"; "pageSize": "pageSize"; "recordCountKey": "recordCountKey"; "pageSizeUrlKey": "pageSizeUrlKey"; "pageIndexUrlKey": "pageIndexUrlKey"; "currentPageIndex": "currentPageIndex"; "type": "type"; "showPageSizeDropDown": "showPageSizeDropDown"; "pageSizeDropDownLabel": "pageSizeDropDownLabel"; "pageSizeDropDownTrailingLabel": "pageSizeDropDownTrailingLabel"; "pageSizeDropDownLocation": "pageSizeDropDownLocation"; "showPagerRecordsLabel": "showPagerRecordsLabel"; "pagerRecordsLabelTemplate": "pagerRecordsLabelTemplate"; "nextPageLabelText": "nextPageLabelText"; "prevPageLabelText": "prevPageLabelText"; "firstPageLabelText": "firstPageLabelText"; "lastPageLabelText": "lastPageLabelText"; "showFirstLastPages": "showFirstLastPages"; "showPrevNextPages": "showPrevNextPages"; "currentPageDropDownLeadingLabel": "currentPageDropDownLeadingLabel"; "currentPageDropDownTrailingLabel": "currentPageDropDownTrailingLabel"; "currentPageDropDownTooltip": "currentPageDropDownTooltip"; "pageSizeDropDownTooltip": "pageSizeDropDownTooltip"; "pagerRecordsLabelTooltip": "pagerRecordsLabelTooltip"; "prevPageTooltip": "prevPageTooltip"; "nextPageTooltip": "nextPageTooltip"; "firstPageTooltip": "firstPageTooltip"; "lastPageTooltip": "lastPageTooltip"; "pageTooltipFormat": "pageTooltipFormat"; "pageSizeList": "pageSizeList"; "pageCountLimit": "pageCountLimit"; "visiblePageCount": "visiblePageCount"; "defaultDropDownWidth": "defaultDropDownWidth"; "delayOnPageChanged": "delayOnPageChanged"; "persist": "persist"; "inherit": "inherit"; }, { "pageIndexChanging": "pageIndexChanging"; "pageIndexChanged": "pageIndexChanged"; "pageSizeChanging": "pageSizeChanging"; "pageSizeChanged": "pageSizeChanged"; "pagerRendering": "pagerRendering"; "pagerRendered": "pagerRendered"; }, never, never, false>;
}
