/// <reference types="ignite-ui" />
import { ElementRef } from '@angular/core';
import { Feature } from '../feature';
import * as i0 from "@angular/core";
export declare class IgGridSummariesFeature extends Feature<IgGridSummaries> {
    constructor(el: ElementRef);
    destroy(): void;
    /**
     * Returns whether summaries rows are hidden
     */
    isSummariesRowsHidden(): void;
    /**
     * Calculate summaries
     */
    calculateSummaries(): void;
    /**
     * Remove all summaries dropdown buttons.
     */
    clearAllFooterIcons(): void;
    /**
     * Toggle drop down
     *
     * @param columnKey    toggle drop down for the column with the specified key
     * @param event    event object. Its data should contain current columnKey, isAnimating, buttonId
     */
    toggleDropDown(columnKey: string, event: object): void;
    /**
     * Show/Hide dialog
     *
     * @param $dialog     jQuery object representation of dropdown div element
     */
    showHideDialog($dialog: object): void;
    /**
     * Toggle summaries rows
     *
     * @param isToShow    Specifies whether to show or not summaries
     * @param isInternalCall    Optional parameter.Specifies whether this function is called internally by the widget.
     */
    toggleSummariesRows(isToShow: boolean, isInternalCall: boolean): void;
    /**
     * Toggles the checkstate of a checkbox if checkboxMode is not set to off, otherwise does nothing.
     *
     * @param $checkbox     Specifies the jQuery object of the checkbox.
     */
    toggleCheckstate($checkbox: object): void;
    /**
     * Select/Unselect specified checkbox
     *
     * @param $checkbox     Specifies the jQuery object for checkbox
     * @param isToSelect     Specify whether to select or not checkbox
     */
    selectCheckBox($checkbox: object, isToSelect: boolean): void;
    /**
     * Summary calculate the whole data for the specified column key,
     * columnMethods and dataType (used when datasource is remote and dataType is date)
     *
     * @param ck    ColumnKey
     * @param columnMethods    Array of column methods objects
     * @param data    object which represents result represents dataType for the current column
     * @param dataType data type
     */
    calculateSummaryColumn(ck: string, columnMethods: any[], data: object, dataType: object): void;
    /**
     * Return a JQUERY object which holds all summaries for all columns
     */
    summaryCollection(): void;
    /**
     * Return a JQUERY object which holds all summaries for column with the specified column key
     *
     * @param columnKey column key
     */
    summariesFor(columnKey: object): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridSummariesFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridSummariesFeature, "summaries", never, { "disabled": "disabled"; "create": "create"; "type": "type"; "dialogButtonOKText": "dialogButtonOKText"; "dialogButtonCancelText": "dialogButtonCancelText"; "calculateRenderMode": "calculateRenderMode"; "featureChooserText": "featureChooserText"; "featureChooserTextHide": "featureChooserTextHide"; "compactRenderingMode": "compactRenderingMode"; "defaultDecimalDisplay": "defaultDecimalDisplay"; "showSummariesButton": "showSummariesButton"; "summariesResponseKey": "summariesResponseKey"; "summaryExprUrlKey": "summaryExprUrlKey"; "callee": "callee"; "dropDownHeight": "dropDownHeight"; "dropDownWidth": "dropDownWidth"; "showDropDownButton": "showDropDownButton"; "summaryExecution": "summaryExecution"; "dropDownDialogAnimationDuration": "dropDownDialogAnimationDuration"; "emptyCellText": "emptyCellText"; "summariesHeaderButtonTooltip": "summariesHeaderButtonTooltip"; "resultTemplate": "resultTemplate"; "isGridFormatter": "isGridFormatter"; "renderSummaryCellFunc": "renderSummaryCellFunc"; "columnSettings": "columnSettings"; "inherit": "inherit"; }, { "dropDownOpening": "dropDownOpening"; "dropDownOpened": "dropDownOpened"; "dropDownClosing": "dropDownClosing"; "dropDownClosed": "dropDownClosed"; "summariesCalculating": "summariesCalculating"; "summariesCalculated": "summariesCalculated"; "summariesMethodSelectionChanged": "summariesMethodSelectionChanged"; "summariesToggling": "summariesToggling"; "summariesToggled": "summariesToggled"; "dropDownOKClicked": "dropDownOKClicked"; "dropDownCancelClicked": "dropDownCancelClicked"; }, never, never, false>;
}
