/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgNotifierComponent extends IgControlBase<IgNotifier> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    ngOnInit(): void;
    /**
     * Triggers a notification with a certain state and optional message.
     * The [notifyLevel](ui.ignotifier#options:notifyLevel) option determines if the notification will be displayed.
     *
     * @param state    The state to show notification for.
     * @param message    Optional message to show, overrides defaults.
     */
    notify(state: object, message?: string): void;
    /**
     * Returns true if the notification is currently visible
     */
    isVisible(): void;
    /**
     * Destroys the widget.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgNotifierComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgNotifierComponent, "ig-notifier", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "closeOnBlur": "closeOnBlur"; "direction": "direction"; "position": "position"; "width": "width"; "height": "height"; "minWidth": "minWidth"; "maxWidth": "maxWidth"; "maxHeight": "maxHeight"; "animationDuration": "animationDuration"; "contentTemplate": "contentTemplate"; "selectors": "selectors"; "headerTemplate": "headerTemplate"; "showOn": "showOn"; "containment": "containment"; "appendTo": "appendTo"; "state": "state"; "notifyLevel": "notifyLevel"; "mode": "mode"; "allowCSSOnTarget": "allowCSSOnTarget"; "messages": "messages"; "showIcon": "showIcon"; "animationSlideDistance": "animationSlideDistance"; }, { "showing": "showing"; "shown": "shown"; "hiding": "hiding"; "hidden": "hidden"; }, never, ["*"], false>;
}
