/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgPopoverComponent extends IgControlBase<IgPopover> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    ngOnInit(): void;
    /**
     * Destroys the popover widget.
     */
    destroy(): void;
    /**
     * Returns the ID of the element the popover is attached to
     */
    id(): string;
    /**
     * Returns the container for the popover contents
     */
    container(): object;
    /**
     * Shows the popover for the specified target
     *
     * @param trg     The element to show popover for.
     * @param content     The string to set for the popover to show.
     */
    show(trg?: Element, content?: string): void;
    /**
     * Hides the popover for the specified target
     */
    hide(): void;
    /**
     * Gets the currently set content for the popover container
     */
    getContent(): string;
    /**
     * Sets the content for the popover container
     *
     * @param newCnt     The popover content to set.
     */
    setContent(newCnt: string): void;
    /**
     * Gets the popover current target
     */
    target(): object;
    /**
     * Gets the current coordinates of the popover
     */
    getCoordinates(): object;
    /**
     * Sets the popover to specific coordinates.
     *
     * @param pos     The popover coordinates in pixels.
     */
    setCoordinates(pos: object): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgPopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgPopoverComponent, "ig-popover", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "closeOnBlur": "closeOnBlur"; "direction": "direction"; "position": "position"; "width": "width"; "height": "height"; "minWidth": "minWidth"; "maxWidth": "maxWidth"; "maxHeight": "maxHeight"; "animationDuration": "animationDuration"; "contentTemplate": "contentTemplate"; "selectors": "selectors"; "headerTemplate": "headerTemplate"; "showOn": "showOn"; "containment": "containment"; "appendTo": "appendTo"; }, { "showing": "showing"; "shown": "shown"; "hiding": "hiding"; "hidden": "hidden"; }, never, ["*"], false>;
}
