/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgSchedulerComponent extends IgControlBase<IgScheduler> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Gets reference to appointment by id
     *
     * @param id id
     */
    getAppointmentById(id: object): object;
    /**
     * Creates a new appointment and renders it to the scheduler
     *
     * @param appointment appointment
     */
    createAppointment(appointment: object): object;
    /**
     * Deletes appointment from the appointment collection
     *
     * @param appointment	appointment
     */
    deleteAppointment(appointment: object): object;
    /**
     * Deletes appointment from the appointment collection
     *
     * @param appointment	appointment
     * @param updateAppoinment	updateAppoinment
     */
    editAppointment(appointment: object, updateAppoinment: object): object;
    /**
     * Destroys the widget
     */
    destroy(): void;
    /**
     * Gets reference to the today UI button.
     */
    todayButton(): string;
    /**
     * Gets reference to the previous UI button.
     */
    previousButton(): string;
    /**
     * Gets reference to the date range UI button.
     */
    dateRangeButton(): string;
    /**
     * Gets reference to the next UI button.
     */
    nextButton(): string;
    /**
     * Gets reference to the jQuery calendar UI control.
     */
    getCalendar(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgSchedulerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgSchedulerComponent, "ig-scheduler", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "views": "views"; "viewMode": "viewMode"; "selectedDate": "selectedDate"; "enableTodayButton": "enableTodayButton"; "width": "width"; "height": "height"; "agendaViewSettings": "agendaViewSettings"; "monthViewSettings": "monthViewSettings"; "appointmentDialogSuppress": "appointmentDialogSuppress"; }, { "agendaRangeChanging": "agendaRangeChanging"; "agendaRangeChanged": "agendaRangeChanged"; "daySelected": "daySelected"; "monthChanging": "monthChanging"; "monthChanged": "monthChanged"; "rendering": "rendering"; "rendered": "rendered"; "viewChanging": "viewChanging"; "viewChanged": "viewChanged"; "appointmentDialogOpening": "appointmentDialogOpening"; "appointmentDialogOpened": "appointmentDialogOpened"; "appointmentDialogClosing": "appointmentDialogClosing"; "appointmentDialogClosed": "appointmentDialogClosed"; "appointmentCreating": "appointmentCreating"; "appointmentCreated": "appointmentCreated"; "appointmentDeleting": "appointmentDeleting"; "appointmentDeleted": "appointmentDeleted"; "appointmentEditing": "appointmentEditing"; "appointmentEdited": "appointmentEdited"; }, never, ["*"], false>;
}
